// MicroscanMS3.h: interface for the CMicroscanMS3 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "Scanner.h"
#include "Utility.h"

#ifdef BUILD_COMMDLL
#define COMMDLL_DLLCLASS __declspec(dllexport)
#else
#define COMMDLL_DLLCLASS __declspec(dllimport)
#endif

class COMMDLL_DLLCLASS CMicroscanMS3 : public CScanner, CMyWait
{
public:
    bool Off();
    bool On();
    bool ReadBarCode(DWORD dwTimeout, std::string& strBarcode);
    std::string GetReceiveData();
    void ReceiveComm(const char* cpcBuffer, int nSize);
    CMicroscanMS3();
    virtual ~CMicroscanMS3();

private:
    std::string m_strBarcode;
    HANDLE m_hSuccess;
};

